<?php
function fb_count($url){
 
	// Query in FQL
	$fql  = "SELECT share_count, like_count, comment_count ";
	$fql .= " FROM link_stat WHERE url = '$url'";
 
	$fqlURL = "https://api.facebook.com/method/fql.query?format=json&query=" . urlencode($fql);
 
	// Facebook Response is in JSON
	$response = file_get_contents($fqlURL);
	return json_decode($response);
 
}

	$facebook = fb_count('https://www.facebook.com/Google');
	$twitter = fb_count('https://twitter.com/BillGates/status/591415092056580096');
	$sc = fb_count('https://soundcloud.com/songs-hd-001/e-14');
	$yt = fb_count('http://www.youtube.com/watch?v=7-7knsP2n5w');
	$web = fb_count('http://internet.org/');
	$eggs = fb_count('www.eggslab.net/export-mysql-table-data-into-excel-sheet/');
	
?>

<html>
<head>
	<title>Facebook Likes Count with PHP</title>
<style>
a
{
	color:#000;
	text-decoration:none;
}
.wrapper
{
	margin:0px auto;
}
.example
{
	width:370px;
	height:150px;
	background-color:#CCC;
	padding:10px;
	border:2px solid #F00;
	float:left;
	margin-left:10px;
	margin-top:10px;
}
.exH
{
	font-family:Baskerville, "Palatino Linotype", Palatino, "Century Schoolbook L", "Times New Roman", serif;
	background:#FFF;
	text-align:center;
	font-size:24px;
	font-weight:bold;
}
.small
{
	width:173px;
	float:left;
	background:#FFF;
	margin-right:2px;
	margin-top:2px;
	padding:5px;	
}
#label
{
	font-family:Baskerville, "Palatino Linotype", Palatino, "Century Schoolbook L", "Times New Roman", serif;
	font-size:18px;
	font-weight:bold;
}
#count
{
	font-family:Baskerville, "Palatino Linotype", Palatino, "Century Schoolbook L", "Times New Roman", serif;
	font-size:18px;
}
</style>
</head>

<body>
<div class="wrapper">
	<div align="center">
    	<h1><a href="http://www.eggslab.net/facebook-likes-count-php">Facebook Likes Count with PHP</a></h1>
        <h2><a href="http://www.eggslab.net/">www.eggslab.net</a></h2>
    </div>
    
    <div class="example">
    	<div class="exH">
        	<a href="https://www.facebook.com/Google" target="_blank">Facebook Page</a>
        </div>
        <div class="small" align="right" id="label">Likes</div>
        <div class="small" id="count"><?php echo $facebook[0]->like_count;?></div>
        <div class="small" align="right" id="label">Shares</div>
        <div class="small" id="count"><?php echo $facebook[0]->share_count;?></div>
        <div class="small" align="right" id="label">Commets</div>
        <div class="small" id="count"><?php echo $facebook[0]->comment_count;?></div>
    </div>
    <div class="example">
    	<div class="exH">
        	<a href="https://twitter.com/BillGates/status/591415092056580096" target="_blank">Twitter's Tweet</a>
        </div>
        <div class="small" align="right" id="label">Likes</div>
        <div class="small" id="count"><?php echo $twitter[0]->like_count;?></div>
        <div class="small" align="right" id="label">Shares</div>
        <div class="small" id="count"><?php echo $twitter[0]->share_count;?></div>
        <div class="small" align="right" id="label">Commets</div>
        <div class="small" id="count"><?php echo $twitter[0]->comment_count;?></div>
    </div>
    <div class="example">
    	<div class="exH">
        	<a href="https://soundcloud.com/songs-hd-001/e-14" target="_blank">SoundCloud Song</a>
        </div>
        <div class="small" align="right" id="label">Likes</div>
        <div class="small" id="count"><?php echo $sc[0]->like_count;?></div>
        <div class="small" align="right" id="label">Shares</div>
        <div class="small" id="count"><?php echo $sc[0]->share_count;?></div>
        <div class="small" align="right" id="label">Commets</div>
        <div class="small" id="count"><?php echo $sc[0]->comment_count;?></div>
    </div>
    <div class="example">
    	<div class="exH">
        	<a href="http://www.youtube.com/watch?v=7-7knsP2n5w" target="_blank">YouTube's Video</a>
        </div>
        <div class="small" align="right" id="label">Likes</div>
        <div class="small" id="count"><?php echo $yt[0]->like_count;?></div>
        <div class="small" align="right" id="label">Shares</div>
        <div class="small" id="count"><?php echo $yt[0]->share_count;?></div>
        <div class="small" align="right" id="label">Commets</div>
        <div class="small" id="count"><?php echo $yt[0]->comment_count;?></div>
    </div>
    <div class="example">
    	<div class="exH">
        	<a href="http://internet.org/" target="_blank">Website</a>
        </div>
        <div class="small" align="right" id="label">Likes</div>
        <div class="small" id="count"><?php echo $web[0]->like_count;?></div>
        <div class="small" align="right" id="label">Shares</div>
        <div class="small" id="count"><?php echo $web[0]->share_count;?></div>
        <div class="small" align="right" id="label">Commets</div>
        <div class="small" id="count"><?php echo $web[0]->comment_count;?></div>
    </div>
    <div class="example">
    	<div class="exH">
        	<a href="http://www.eggslab.net/export-mysql-table-data-into-excel-sheet/" target="_blank">Article</a>
        </div>
        <div class="small" align="right" id="label">Likes</div>
        <div class="small" id="count"><?php echo $eggs[0]->like_count;?></div>
        <div class="small" align="right" id="label">Shares</div>
        <div class="small" id="count"><?php echo $eggs[0]->share_count;?></div>
        <div class="small" align="right" id="label">Commets</div>
        <div class="small" id="count"><?php echo $eggs[0]->comment_count;?></div>
    </div>
    
</div>
</body>
</html>